# Summary

* [The Basics](basic.md)
    * [Installing Rust](installing-rust.md)
    * [Hello, world!](hello-world.md)
    * [Hello, Cargo!](hello-cargo.md)
    * [Variable Bindings](variable-bindings.md)
    * [If](if.md)
    * [Functions](functions.md)
    * [Comments](comments.md)
    * [Compound Data Types](compound-data-types.md)
    * [Match](match.md)
    * [Looping](looping.md)
    * [Strings](strings.md)
    * [Arrays, Vectors, and Slices](arrays-vectors-and-slices.md)
* [Intermediate Rust](intermediate.md)
    * [Crates and Modules](crates-and-modules.md)
    * [Testing](testing.md)
    * [Pointers](pointers.md)
    * [Ownership](ownership.md)
    * [More Strings](more-strings.md)
    * [Patterns](patterns.md)
    * [Method Syntax](method-syntax.md)
    * [Associated Types](associated-types.md)
    * [Closures](closures.md)
    * [Iterators](iterators.md)
    * [Generics](generics.md)
    * [Traits](traits.md)
    * [Static and Dynamic Dispatch](static-and-dynamic-dispatch.md)
    * [Macros](macros.md)
    * [Concurrency](concurrency.md)
    * [Error Handling](error-handling.md)
    * [Documentation](documentation.md)
* [Advanced Topics](advanced.md)
    * [FFI](ffi.md)
    * [Unsafe Code](unsafe.md)
    * [Advanced Macros](advanced-macros.md)
* [Unstable Rust](unstable.md)
    * [Compiler Plugins](plugins.md)
    * [Inline Assembly](inline-assembly.md)
    * [No stdlib](no-stdlib.md)
    * [Intrinsics](intrinsics.md)
    * [Lang items](lang-items.md)
    * [Link args](link-args.md)
    * [Benchmark Tests](benchmark-tests.md)
    * [Box Syntax and Patterns](box-syntax-and-patterns.md)
* [Conclusion](conclusion.md)
* [Glossary](glossary.md)
